OBJ

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  adc    : "PropBOE ADC"                               ' A/D Converter on PropBOE
  time   : "Timing"                                    ' Timing convenience methods

VAR

  long ad[3], i                                        ' 3 channels of A/D and index

PUB Go                                                 ' Program starts here

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    repeat i from 0 to 2                               ' Index through the channels 0..2
      ad[i] := adc.In(i)                               ' Load each array element with A/D
    Display                                            ' Call Display method (below)
    time.Pause(50)                                     ' Pause for 50 ms

PUB Display                                            '' Display Method
''Sends cursor home, then displays ad=value and clears
''to right of value.

  pst.Home                                              ' Home position on screen
    repeat i from 0 to 2                                ' Index through channels
      pst.Str(String("ad["))                            ' Display label
      pst.Dec(i)                                        ' Display index
      pst.Str(String("]="))                             ' Display rest of label
      pst.Dec(ad[i])                                    ' Display A/D value
      pst.ClearEnd                                      ' Clear to end of line
      pst.NewLine                                       ' Move cursor to next line
    