OBJ

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  dac    : "PropBOE DAC"                               ' PropBOE D/A Converter
  time   : "Timing"                                    ' Timing convenience methods

VAR                                                    ' Global variable declarations

  byte da[2], i                                        ' 2 D/A values and an index

PUB Go                                                 ' Program starts here

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    da[0] := da[0] + 4                                 ' Add 4 to da[0]
    dac.Out(0, da[0])                                  ' Set DA0
    da[1] := da[1] - 4                                 ' Add 4 to da[1]
    dac.Out(1, da[1])                                  ' Set DA1
    DacDisplay                                         ' Call DacDisplay (below) 
    time.Pause(70)                                     ' Pause for 70 ms

PUB DacDisplay                                         '' D/A Value Display Method
''Sends cursor home, then displays ad=value and clears
''to right of value.

  pst.Home                                             ' Home position on screen
  repeat i from 0 to 1                                 ' Index through D/A channels
    pst.Str(String("DA["))                             ' Start label
    pst.Dec(i)                                         ' Display index
    pst.Str(String("]="))                              ' Rest of label
    pst.Dec(da[i])                                     ' D/A variable value
    pst.ClearEnd                                       ' Clear to end of line
    pst.NewLine                                        ' Move cursor to next line
  