OBJ                                                    ' Object declarations

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  dac    : "PropBOE DAC"                               ' PropBOE D/A Converter
  time   : "Timing"                                    ' Timing convenience methods
  volts  : "PropBOE Voltmeter"                         ' Voltmeter for PropBOE

VAR                                                    ' Global variable declarations

  byte da[2], i                                        ' 2 D/A values and an index

PUB Go                                                 ' Program starts here

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    dac.Out(0, da[0]+=4)                               ' Make D0 output 4/256 higher 
    dac.Out(1, da[1]-=4)                               ' Make D1 outptu 4/256 lower
    pst.Home                                           ' Send cursor home
    repeat i from 0 to 2                               ' Index through 3 voltmeter channels
      pst.Str(volts.FloatStr(i))                       ' Display each channel voltage
    time.Pause(70)                                     ' Pause for 70 ms.

  