OBJ                                                    ' Object declarations

  scope  : "PST Scope"                                 ' Parallax Serial Terminal O-Scope
  dac    : "PropBOE DAC"                               ' PropBOE D/A Converter
  time   : "Timing"                                    ' Timing convenience methods

VAR                                                    ' Global variable declarations

  byte i, da                                           ' Index and DA variable

DAT                                                    ' Predefined data

 ' Oscillosocpe Settings

 'Scales:         ch1(V/div)   ch2(V/div)   t(s/div)
 Scales   long    0.5,         0.5,         0.5
 'Offsets:        ch1(V)       ch2(V)       t(s)
 Offsets  long    -3.0,        0.0,         0.0
 'Trigger                                   edge
 ' settings:      1on/0off     channel,     1rise/0fall 
 TrigSets long    1,           2,           1
 ' Values:        voltage,     time
 TrigVals long    0.75,        1.0

PUB Go                                                 ' Program starts here

  scope.Start(@Scales)                                 ' Start oscilloscope object

  repeat                                               ' Main loop
    repeat da from 0 to 127                            ' Index D/A from 0 to 127
      dac.Out(0, da)                                   ' Set DA0
      dac.Out(1, 128-da)                               ' Set DA1 to 1.65 V - DA0
      time.pause(10)                                   ' Pause for 10 ms
    repeat da from 128 to 1                            ' Index D/A from 
      dac.Out(0, da)                                   ' Set DA0
      dac.Out(1, 128-da)                               ' Set DA1 to 1.65 V - DA0
      time.Pause(10)
  